2006-03-20  Miguel de Icaza  <miguel@novell.com>

	* CsprojInfo.cs: Handle spaces and () in filenames

2005-11-05  Kornél Pál  <kornelpal@hotmail.com>

	* AssemblyInfo.cs: Use Consts.MonoVersion as AssemblyVersion.
	* prj2make.exe.sources: Added Consts.cs.

2005-09-28  Sureshkumar T  <tsureshkumar@novell.com>

	* MsPrjHelper.cs (MsSlnHelper): add resgen.

	* CsprojInfo.cs (CsprojInfo): If resource file ends with .resx
	convert them into .resources.

2005-02-19  Miguel de Icaza  <miguel@novell.com>

	* MsPrjHelper.cs, MdPrjHelper.cs: Escape path names, as they might
	contain empty spaces in the path.

2004-07-05  Francisco T. Martinez <paco@mfcon.com>
	* CsprojInfo.cs 1.2:
	* MsPrjHelper.cs 1.11:
	* PrjxInfo.cs 1.6:
	* csproj_ver2003.cs 1.2:
		Changes due to recommendation (patch) from Iain McCoy

	* MsPrjHelper.cs 1.10:
		Got rid of some diagnostics WriteLines and cut down on the
		number of times I call upon pkg-config

	* MdPrjHelper.cs 1.7:
		Add some support for whenever is not possible to get pkg-config
		to give you the base path

2004-06-24  Francisco T. Martinez <paco@mfcon.com>
	* vsprj2makeAddin/Connect.cs 1.8:
	* vsprj2makeSetup/vsprj2makeSetup.vdproj 1.3:
		Added the import MonoDevelop solutions menu option

2004-06-23  Francisco T. Martinez <paco@mfcon.com>
	* vsprj2makeAddin/Connect.cs 1.7:
		Finally got the pop-up menu to work and now has all four choices

2004-06-22  Francisco T. Martinez <paco@mfcon.com>
	* vsprj2makeAddin/Connect.cs 1.3:
	* vsprj2makeSetup/vsprj2makeSetup.vdproj 1.2:
		refined the addin to make use of the VS output pane

	* vsprj2makeAddin/Connect.cs 1.4:
		Added the pop-up menu but should use Namded commands intead of buttons

	* vsprj2makeAddin/Connect.cs 1.6:
		adding some exceprtion handeling to using AddNamedCommand

	* vsprj2makeAddin/Connect.cs 1.5:
		changed back to using AddNamedCommand

2004-06-21  Francisco T. Martinez <paco@mfcon.com>
	* vsprj2make.csproj 1.1:
	* vsprj2make.sln 1.1:
		Initial effort to create a Visual Studio Addin

	* vsprj2makeAddin/AssemblyInfo.cs 1.2:
	* vsprj2makeAddin/Connect.cs 1.2:
		Modification to change the verion of the Add-in and to use
		Named commands for both Create Make and Create MDFiles

	* vsprj2makeAddin/AssemblyInfo.cs 1.1.1.1:
	* vsprj2makeAddin/Connect.cs 1.1.1.1:
	* vsprj2makeSetup/vsprj2makeSetup.vdproj 1.1.1.1:
		Initial induction

2004-06-20  Francisco T. Martinez <paco@mfcon.com>
	* pkgconfiginvoker.cs 1.2:
	* prj2makewin.csproj 1.3:
	* prj2makewin.csproj 1.4:
	* prj2makewin.nsi 1.1:
	* prj2makewin.nsi 1.2:
	* win32gui/MainFrm.cs 1.4:
	* win32gui/MainFrm.resx 1.3:
		After first successfull NSIS installer for prj2makewin

2004-06-19  Francisco T. Martinez <paco@mfcon.com>
	* MsPrjHelper.cs 1.9:
	* win32gui/MainFrm.cs 1.3:
		More functionality and save capabilities

2004-06-18  Francisco T. Martinez <paco@mfcon.com>
	* gui/Main.cs 1.2:
	* prj2makewin.csproj 1.2:
	* win32gui/MainFrm.cs 1.2:
	* win32gui/MainFrm.resx 1.2:
		First compilable SWF version of 80% functional prj2makewin

	* win32gui/MainOpts.cs 1.1:
		Initial induction

2004-06-17  Francisco T. Martinez <paco@mfcon.com>
	* MsPrjHelper.cs 1.8:
	* prj2make-sharp.csproj 1.4:
		Add the Mono.GetOptions as in line source code to avoid
		dependencies in an .NET Framework 1.1 build

	* Mono.GetOptions/AboutAttribute.cs 1.1.1.1:
	* Mono.GetOptions/ArgumentProcessorAttribute.cs 1.1.1.1:
	* Mono.GetOptions/AssemblyInfo.cs 1.1.1.1:
	* Mono.GetOptions/AuthorAttribute.cs 1.1.1.1:
	* Mono.GetOptions/OptionAttribute.cs 1.1.1.1:
	* Mono.GetOptions/OptionDetails.cs 1.1.1.1:
	* Mono.GetOptions/OptionList.cs 1.1.1.1:
	* Mono.GetOptions/Options.cs 1.1.1.1:
	* Mono.GetOptions/UsageComplementAttribute.cs 1.1.1.1:
	* prj2makewin.csproj 1.1:
	* win32gui/App.ico 1.1.1.1:
	* win32gui/AssemblyInfo.cs 1.1.1.1:
	* win32gui/MainFrm.cs 1.1.1.1:
	* win32gui/MainFrm.resx 1.1.1.1:
		initial induction

	* prj2make-sharp.sln 1.2:
		Revised to use the new directory structure

2004-06-12  Francisco T. Martinez <paco@mfcon.com>
	* MsPrjHelper.cs 1.7:
		Can now create prjx GAC references correctly

2004-06-11  Francisco T. Martinez <paco@mfcon.com>
	* cui/AssemblyInfo.cs 1.5:
	* gui/AssemblyInfo.cs 1.5:
	* gui/MainFRM.cs 1.5:
		Update version info for Mono Beta 3

	* MdPrjHelper.cs 1.6:
	* MsPrjHelper.cs 1.6:
	* PrjxInfo.cs 1.5:
	* cui/Makefile.am 1.10:
	* gui/Makefile.am 1.12:
	* pkgconfiginvoker.cs 1.1:
	* prj2make-sharp-gtk.prjx 1.5:
	* prj2make-sharp.csproj 1.3:
	* prj2make-sharp.prjx 1.5:
		Add support for LIBS variable in Makefiles for both VS
		Solutions and MD Solutions using the PkgConfigInvoker along
		with support for the unsafe code in MonoDevelop solutions.

2004-06-10  Francisco T. Martinez <paco@mfcon.com>
	* PrjxInfo.cs 1.4:
		Resource string fix by Peter Johanson

2004-06-09  Francisco T. Martinez <paco@mfcon.com>
	* sharp_d_prjx.cs 1.2:
		Included 'Nothing' as one of the BuildActions in the prjx
		schema definition

	* cui/AssemblyInfo.cs 1.4:
	* gui/AssemblyInfo.cs 1.4:
	* gui/MainFRM.cs 1.4:
		Updating version information and build related files

2004-06-07  Francisco T. Martinez <paco@mfcon.com>
	* MdPrjHelper.cs 1.5:
	* MsPrjHelper.cs 1.5:
		Added the preliminary support for the $(LIBS) variable on the
		target compilation

2004-06-05  Francisco T. Martinez <paco@mfcon.com>
	* MdPrjHelper.cs 1.4:
		Changes to obtain the base path for the Mono installation using
		pkg-config

	* MdPrjHelper.cs 1.3:
		Initial support for pkg-config invocation

2004-06-02  Francisco T. Martinez <paco@mfcon.com>
	* PrjxInfo.cs 1.3:
		Added the capability of selecting the active configuration

2004-06-01  Francisco T. Martinez <paco@mfcon.com>
	* PrjxInfo.cs 1.2:
	* prj2make-sharp-gtk.prjx 1.4:
	* prj2make-sharp.cmbx 1.3:
	* prj2make-sharp.prjx 1.4:
		More work to support Makefile generation from prjx and cmbx
		since GAC

	* MdPrjHelper.cs 1.2:
		Corrections for GAC support

2004-05-31  Francisco T. Martinez <paco@mfcon.com>
	* cui/AssemblyInfo.cs 1.3:
	* gui/AssemblyInfo.cs 1.3:
	* gui/MainFRM.cs 1.3:
		Modify version info to be 0.93 to better match the Mono Beta 2 release

	* MsPrjHelper.cs 1.4:
		Changes to better mirror the content of the same name file in
		prj2make-sharp-lib (MonoDevelop)

	* cui/Makefile.am 1.9:
	* gui/Makefile.am 1.11:
		after adding makefiles for doc/schemas

	* MsPrjHelper.cs 1.3:
		Added utility functions to check the sln and csproj versions

2004-05-30  Francisco T. Martinez <paco@mfcon.com>
	* cui/MainMod.cs 1.2:
	* prj2make-sharp-gtk.prjx 1.2:
	* prj2make-sharp.prjx 1.2:
		New configuration for GAC awarness

	* csproj_ver2002.cs 1.2:
		Regenerated with MS xsd.exe

	* MsPrjHelper.cs 1.2:
	* prj2make-sharp-gtk.prjx 1.3:
	* prj2make-sharp.cmbx 1.2:
	* prj2make-sharp.csproj 1.2:
	* prj2make-sharp.prjx 1.3:
		Added a new build action type to keep aspx files from compiling

2004-05-27  Francisco T. Martinez <paco@mfcon.com>
	* csproj_ver2002.cs 1.1:
		initial induction

2004-05-19  Francisco T. Martinez <paco@mfcon.com>
	* cui/Makefile.am 1.8:
	* gui/Makefile.am 1.10:
		update to support /pkg: during compilation

2004-05-14  Francisco T. Martinez <paco@mfcon.com>
	* cui/AssemblyInfo.cs 1.2:
	* gui/AssemblyInfo.cs 1.2:
	* gui/MainFRM.cs 1.2:
		Adjust version information and installation instructions

2004-05-13  Francisco T. Martinez <paco@mfcon.com>
	* cui/Makefile.am 1.6:
	* gui/Makefile.am 1.8:
		Pollishing the build process to be able to create tarfiles

	* cui/Makefile.am 1.7:
	* gui/Makefile.am 1.9:
		Added creation of shell scripts

2004-05-12  Francisco T. Martinez <paco@mfcon.com>
	* cui/Makefile.am 1.3:
	* gui/Makefile.am 1.5:
		Got rid of the copy of executables the src directory

	* cui/Makefile.am 1.4:
	* gui/Makefile.am 1.6:
		more polishing of Makefile.am

	* cui/Makefile.am 1.5:
	* gui/Makefile.am 1.7:
		rolling back the previous changes

2004-05-11  Francisco T. Martinez <paco@mfcon.com>
	* gui/Makefile.am 1.4:
		Adjustments onf the Makefile to invoke file in cui directory

	* gui/Makefile.am 1.3:
		Added the missing Mono.GetOptions.dll reference

	* cui/Makefile.am 1.2:
	* gui/Makefile.am 1.2:
		Makin slight corrections to insure compilation

	* CsprojInfo.cs 1.1.1.1:
	* Makefile.am 1.1.1.1:
	* MdPrjHelper.cs 1.1.1.1:
	* MsPrjHelper.cs 1.1.1.1:
	* PrjHelper.cs 1.1.1.1:
	* PrjxInfo.cs 1.1.1.1:
	* csproj_ver2003.cs 1.1.1.1:
	* cui/AssemblyInfo.cs 1.1.1.1:
	* cui/Main.cs 1.1.1.1:
	* cui/MainMod.cs 1.1.1.1:
	* cui/MainOpts.cs 1.1.1.1:
	* cui/Makefile.am 1.1.1.1:
	* gui/AboutWindow.cs 1.1.1.1:
	* gui/AssemblyInfo.cs 1.1.1.1:
	* gui/Main.cs 1.1.1.1:
	* gui/MainFRM.cs 1.1.1.1:
	* gui/MainOpts.cs 1.1.1.1:
	* gui/Makefile.am 1.1.1.1:
	* prj2make-sharp-gtk.prjx 1.1.1.1:
	* prj2make-sharp.cmbx 1.1.1.1:
	* prj2make-sharp.csproj 1.1.1.1:
	* prj2make-sharp.prjx 1.1.1.1:
	* prj2make-sharp.sln 1.1.1.1:
	* sharp_d_cmbx.cs 1.1.1.1:
	* sharp_d_prjx.cs 1.1.1.1:
		new code layout to support autoconf tools

